#!/bin/sh

set -e # xplode on failures

. util.sh

helpers.help(){
    echo "This fetches and installs security updates within the current FreeBSD"
    echo "version for the host and any jails defined in config.sh as well as"
    echo "updating the crypto bootstick (if any)"
    echo "This script takes no parameters."
}

helpers.checkhelp $1

echo "Loading config."
. config.sh

echo "Updating host OS…"
set -x
freebsd-update fetch
freebsd-update install
set +x

if $config_bootstick
then
    echo "Updating bootstick…"
    sh bootstick-uefi.sh
fi

echo "----------"
echo "If nothing exploded, reboot and run freebsd-update-postreboot.sh"
echo "If something exploded, you'll have to manually figure it out."
echo ""
echo "Thank you for flying with phryk evil mad sciences, LLC!"
